Bug 903268 - plexus-compiler: License files not installed
plexus-compiler: License files not installed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: plexus-compiler (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: FE-Legal 903292
  Show dependency treegraph
 
Reported: 2013-01-23 10:42 EST by Mikolaj Izdebski
Modified: 2013-04-29 09:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.2-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 903292 (view as bug list)
Environment:
Last Closed: 2013-04-29 09:47:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-01-23 10:42:32 EST
Description of problem:
plexus-compiler license is MIT and ASL 2.0 and ASL 2.1, but license files are not installed

Version-Release number of selected component (if applicable):
1.9.2-2

Additional info:
See packaging guidelines [1] and licensing guidelines [2].

[1] http://fedoraproject.org/wiki/Packaging:Guidelines
[2] http://fedoraproject.org/wiki/Packaging:LicensingGuidelines
Comment 1 Mikolaj Izdebski 2013-03-05 11:40:25 EST
Fixed in plexus-compiler-2.2-1
Comment 2 Mikolaj Izdebski 2013-04-15 06:26:02 EDT
Some parts of plexus compiler are under MIT license.

The license says that "The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software."

"All copies or substantial portions" includes binaries. This means that we need to include license text with binary packages.

Reopening.
Comment 3 Mikolaj Izdebski 2013-04-15 06:42:23 EDT
Fixed in plexus-compiler-2.2-4
Comment 4 Fedora Update System 2013-04-22 02:24:15 EDT
plexus-compiler-2.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/plexus-compiler-2.2-4.fc19
Comment 5 Fedora Update System 2013-04-26 23:03:58 EDT
plexus-compiler-2.2-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Mikolaj Izdebski 2013-04-29 09:47:21 EDT
I believe that this bug is fixed in plexus-compiler-2.2-4,
which is available in Fedora 19, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=411672

Note You need to log in before you can comment on or make changes to this bug.